package top.qaqaq.dao;

import top.qaqaq.pojo.Order;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 4:17
 */
public interface OrderDao {

    /**
     * 保存订单
     * @param order
     * @return
     */
    public int saveOrder(Order order);

    /**
     * 查询全部订单
     * @return
     */
    public List<Order> queryOrders();

    /**
     * 修改订单状态
     * @param orderId
     * @param status
     * @return
     */
    public int changeOrderStatus(String orderId, Integer status);

    /**
     * 根据用户编号查询订单信息
     * @param userId
     * @return
     */
    public List<Order> queryOrdersByUserId(Integer userId);

}
