package top.qaqaq.pojo;

import java.math.BigDecimal;
import java.time.LocalDateTime;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 4:10
 */
public class Order {

    private String orderId;     //订单号（唯一）
    private LocalDateTime createTime;    //下单时间
    private BigDecimal price;   //金额
    // 0未发货，1已发货，2表示已签收
    private Integer status = 0;     //状态
    private Integer userId;     //用户编号

    public Order() {

    }

    public Order(String orderId, LocalDateTime createTime, BigDecimal price, Integer status, Integer userId) {
        this.orderId = orderId;
        this.createTime = createTime;
        this.price = price;
        this.status = status;
        this.userId = userId;
    }

    public String getOrderId() {

        return orderId;
    }

    public void setOrderId(String orderId) {
        this.orderId = orderId;
    }

    public LocalDateTime getCreateTime() {

        return createTime;
    }

    public void setCreateTime(LocalDateTime createTime) {
        this.createTime = createTime;
    }

    public BigDecimal getPrice() {
        return price;
    }

    public void setPrice(BigDecimal price) {
        this.price = price;
    }

    public Integer getStatus() {
        return status;
    }

    public void setStatus(Integer status) {
        this.status = status;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    @Override
    public String toString() {
        return "Order{" +
                "orderId='" + orderId + '\'' +
                ", createTime=" + createTime +
                ", price=" + price +
                ", status=" + status +
                ", userId=" + userId +
                '}';
    }
}
