package top.qaqaq.service;

import top.qaqaq.pojo.Cart;
import top.qaqaq.pojo.Order;
import top.qaqaq.pojo.OrderItem;

import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 5:38
 */
public interface OrderService {

    /**
     * 生成订单
     * @param cart
     * @param userId
     * @return
     */
    public String createOrder(Cart cart,Integer userId);

    /**
     * 查询全部订单
     * @return
     */
    public List<Order> showAllOrders();

    /**
     * 发货
     * @param orderId
     * @return
     */
    public int sendOrder(String orderId);

    /**
     * 查看订单详情
     * @param orderId
     * @return
     */
    public List<OrderItem> showOrderDetail(String orderId);

    /**
     * 查看我的订单
     * @param userId
     * @return
     */
    public List<Order> showMyOrders(Integer userId);

    /**
     * 签收订单/确认收货
     * @param orderId
     * @return
     */
    public int receiverOrder(String orderId);
}
