package top.qaqaq.test;

import org.junit.Test;
import top.qaqaq.pojo.Cart;
import top.qaqaq.pojo.CartItem;
import top.qaqaq.service.OrderService;
import top.qaqaq.service.impl.OrderServiceImpl;

import java.math.BigDecimal;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 6:21
 */
public class OrderServiceTest {

    OrderService orderService = new OrderServiceImpl();

    @Test
    public void createOrder() {

        Cart cart = new Cart();
        cart.addItem(new CartItem(1,"java从入门到精通",1,new BigDecimal(1000),new BigDecimal(1000)));
        cart.addItem(new CartItem(1,"java从入门到精通",1,new BigDecimal(1000),new BigDecimal(1000)));
        cart.addItem(new CartItem(2,"数据结构与算法",1,new BigDecimal(100),new BigDecimal(100)));

        System.out.println("订单号是：" + orderService.createOrder(cart,1));

    }

    @Test
    public void showAllOrders() {
        orderService.showAllOrders().forEach(System.out::println);
    }

    @Test
    public void sendOrder() {
        orderService.sendOrder("16710238834291");
    }

    @Test
    public void showOrderDetail() {
        orderService.showOrderDetail("16710238834291").forEach(System.out::println);
    }

    @Test
    public void showMyOrders() {
        orderService.showMyOrders(3).forEach(System.out::println);
    }

    @Test
    public void receiverOrder() {
        orderService.receiverOrder("16710238834291");
    }
}