package top.qaqaq.web;

import jakarta.servlet.ServletException;
import jakarta.servlet.http.HttpServletRequest;
import jakarta.servlet.http.HttpServletResponse;
import top.qaqaq.pojo.Order;
import top.qaqaq.pojo.OrderItem;
import top.qaqaq.service.OrderService;
import top.qaqaq.service.impl.OrderServiceImpl;

import java.io.IOException;
import java.util.List;

/**
 * @author RichieZhang
 * @create 2022-12-14 下午 9:34
 */
public class ManagerOrderServlet extends BaseServlet{

    private OrderService orderService = new OrderServiceImpl();

    /**
     * 查看所有订单
     * @param req
     * @param resp
     * @throws ServletException
     * @throws IOException
     */
    protected void showAllOrders(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        //  查询数据
        List<Order> orders = orderService.showAllOrders();

        // 保存到request域中
        req.setAttribute("orders",orders);

        // 请求转发
        req.getRequestDispatcher("/pages/manager/order_manager.jsp").forward(req,resp);

    }

    /**
     * 发货
     * @param req
     * @param resp
     * @throws ServletException
     * @throws IOException
     */
    protected void sendOrder(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        // 查找图书的orderId
        String orderId = req.getParameter("orderId");

        // 发货
        orderService.sendOrder(orderId);

        // 重定向
        resp.sendRedirect(req.getHeader("referer"));
    }

    /**
     * 查看订单详情
     * @param req
     * @param resp
     * @throws ServletException
     * @throws IOException
     */
    protected void showOrderDetail(HttpServletRequest req, HttpServletResponse resp) throws ServletException, IOException {

        // 查找图书的orderId
        String orderId = req.getParameter("orderId");

        // 查询数据
        List<OrderItem> orderItems = orderService.showOrderDetail(orderId);

        // 保存到request域中
        req.setAttribute("orderItems",orderItems);

        //请求转发
        req.getRequestDispatcher("/pages/order/orderItem.jsp").forward(req,resp);

    }

}
